#
# spec file for package photoqt
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           photoqt
Version:        1.7.1
Release:        bp154.1.78
Summary:        A Qt-based image viewer
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Viewers
URL:            http://photoqt.org/
Source0:        http://photoqt.org/pkgs/%{name}-%{version}.tar.gz
Patch0:         photoqt-1.7-link.patch
Patch1:         0001-Switch-to-FindLibExiv2-from-ECM-5.53.0.patch
Patch2:         0002-Fix-build-with-exiv2-0.27.patch
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  freeimage-devel
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(poppler-qt5)

%description
PhotoQt is a configurable image viewer.

%prep
%autosetup -p1

%build
%cmake -DCRYPTKEY:STRING=4242
make %{?_smp_mflags}

%install
%cmake_install

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%license COPYING
%doc CHANGELOG
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.??g

%changelog
* Mon Apr  8 2019 Christophe Giboudeaux <christophe@krop.fr>
- Add patches to fix build with Exiv2 0.27:
  0001-Switch-to-FindLibExiv2-from-ECM-5.53.0.patch
  0002-Fix-build-with-exiv2-0.27.patch
* Wed Jun  6 2018 avvissu@yandex.by
- Update to 1.7.1:
  * Fix: Animated images would not load
  * Fix: The more images in a directory the slower PhotoQt would
    load first image
  * Fix: Deleting an image would lead to infinite 'loading' indicator
  * Fix: List of releases in appdata file was in reverse order
  * Add: Show 'busy' cursor while loading a Loader item
* Fri May 25 2018 bwiedemann@suse.com
- Use constant CRYPTKEY to make build reproducible (boo#1062303)
* Wed May 16 2018 avvissu@yandex.by
- Update to 1.7:
  * Add: proper support for formats supported by KDE image plugins
  * Add: FreeImage image library
  * Add: DevIL image library
  * Add: Poppler (for: PDF (inline or document viewer mode))
  * Add: libarchive (for: comic book archives, ZIP, RAR, 7ZIP, TAR)
  * Add: unrar (Unix-only) (for: better RAR support)
  * Add: Detect images also by MIME type and not only by file ending
  * Add: Detect, display and manage people tags (stored in XMP metadata)
  * Add: Current Zoom level to quick info label
  * Add: Setting to adjust step size of zoom
  * Add: Basic Window Management (using quick info labels)
  * Improve: GraphicsMagick speed
  * Improve: Usability of PhotoQt on small screens
  * Improve: More efficient and compact fileformats handling
  * Improve: overall speed and responsiveness
  * Fix: Trash for files on removable drive
  * Fix: Masking image display shown when needed
  * Fix: many small bugs
- Fix build with freeimage (photoqt-1.7-link.patch)
- Add dependencies: extra-cmake-modules, pkgconfig(libarchive),
  pkgconfig(poppler-qt5), pkgconfig(IL), freeimage-devel
- Spec file cleanup
* Wed Feb 21 2018 avvissu@yandex.by
- Update to 1.6:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Wed May 10 2017 jengelh@inai.de
- Ensure neutrality of description.
* Wed Jan 18 2017 avvissu@yandex.by
- Update to 1.5.1:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Thu Jan 12 2017 avvissu@yandex.by
- Update to 1.5:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Fri Nov  4 2016 avvissu@yandex.by
- Update to 1.4.1.1:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
- Add support libraw
- Update the icon theme cache
- Drop photoqt-1.2_invalid-desktopfile.patch
* Sat Jun 20 2015 avvissu@yandex.ru
- Update to 1.2.1:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Tue May 12 2015 avvissu@yandex.ru
- Initial release
